latd (1.33) unstable; urgency=low

  * Switch to dpkg-source 3.0 (native) format
  * Fix build flags
  * Update automake version
  * Fix some Lintian errors regarding LSB and build flags

 -- Chrissie Caulfield <chrissie@debian.org>  Mon, 15 Apr 2013 09:27:12 +0100

latd (1.32) unstable; urgency=low

  * Revert changes in 1.31 that are not related to #699625 so we can get into wheezy

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon,  5 Feb 2013 11:50:55 +0000

latd (1.31) unstable; urgency=low

  * Don't crash if we are fed a malicious version number.
    Closes: #699625

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sun,  6 Dec 2012 11:32:08 +0000

latd (1.30) unstable; urgency=low

  * Make it compile on Debian GNU/KFreeBSD (patch by Cyril Brulebois)
    Closes: #559409

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sun,  6 Dec 2009 10:47:12 +0000

latd (1.29) unstable; urgency=low

  * Set MAX_CONNECTIONS back up to 254 from a debugging number of 4!
  * Increase the maximum number of replies which could cause crashes
    on busy systems.
    Fix from Hristo Grigorov, LUKOIL Technolodgy Services.

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Wed, 25 Jun 2009 10:24:32 +0100
	
latd (1.28) unstable; urgency=low

  * Fix a typing delay bug.
  * Get rid of some compile-time warnings.
  * Fix a missing header with newer compilers
  * Fix debian build so it works with DH_COMPAT=5

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sat, 04 Oct 2008 13:04:51 +0100

latd (1.27) unstable; urgency=low

  * Fix copyrights
  * Update auto tools

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sun, 24 Aug 2008 14:10:57 +0100

latd (1.26.2) unstable; urgency=low

  * Fix includes for gcc 4.3
    Closes bug #454886

 -- Patrick Caulfield <patrick@debian.org>  Sat, 08 Dec 2007 11:09:24 +0000

latd (1.26.1) unstable; urgency=low

  * Fix for GCC 4.3
    Closes: #417318
  * Add LSB annotations to init script.
  
 -- Patrick Caulfield <patrick@debian.org>  Wed,  4 Apr 2007 08:56:17 +0100

latd (1.26) unstable; urgency=low

  * Fix compile on Debian/kFreeBSD
    Closes: #403740

 -- Patrick Caulfield <patrick@debian.org>  Tue, 19 Dec 2006 14:56:10 +0000

latd (1.25) unstable; urgency=low

  * llogin stops terminal driver generating CRs. Should help in editors.
  * Slightly improve a couple of error messages.
  * NB: 1.24 was a BSD-only fix.

 -- Patrick Caulfield <patrick@debian.org>  Mon,  7 Aug 2006 08:38:12 +0100

latd (1.23.1) unstable; urgency=low

  * Fix compilation with gcc 4.1
    Closes: #355599

 -- Patrick Caulfield <patrick@debian.org>  Tue,  7 Mar 2006 08:52:23 +0000

latd (1.23) unstable; urgency=low

  * Send correct disconnect packets that don't upset VMS & some DECservers.
  * Fix some alignment problems on sparc.
  * Fix some double increments that break on some architectures.
  * Fix incoming reverse LAT that was broken in 1.22.
  * Include example script for using latd as a print server.
  
 -- Patrick Caulfield <patrick@debian.org>  Sun,  6 Mar 2005 13:43:02 +0000

latd (1.22) unstable; urgency=low

  * Fix some silly code errors.
    Closes: #261661

 -- Patrick Caulfield <patrick@debian.org>  Fri, 20 Aug 2004 14:22:40 +0100

latd (1.21) unstable; urgency=low

  * Don't expect an ACK to an ACK. (duh)
  * Cope with non-contiguous interface numbers in Linux
  * Remove tcflow() calls as they slow things down and don't
    achieve anything. This was particularly bad with DS90L servers
  * Try harder to write all data to a PTY.
  * Fix REQID message in moprc so it works with more servers.
  
 -- Patrick Caulfield <patrick@debian.org>  Wed, 24 Mar 2004 17:34:44 +0000

latd (1.20) unstable; urgency=low

  * Loads of protocol fixes and speed enhancements, so many I've forgotten
    them all now. Importantly I hope this version should be generally more
    reliable and faster than previous ones.
    NOTE: There are known problems with DECserver 90L terminal servers and
          this release.
  * Don't kill a circuit with outstanding data
  * Add -b switch to moprc
  * Add better support for DS90L servers reverse LAT
    (belated) thanks to Dmitri Popov for this.
  * (non-debian) Don't clobber /etc/latd.conf on "make install"
  * Add --disable-defservice to ./configure
  * Don't send out service multicasts if we have no services to advertise
  * Don't keep retrying connects for ever
  * Reduce delay between EOF and deleting a connection.
  
 -- Patrick Caulfield <patrick@debian.org>  Sat, 31 Jan 2004 17:32:27 +0000

latd (1.19) unstable; urgency=low

  * Some Darwin bpf interface fixes.
  * fix lat group on /dev/lat/ devices that was broken by my autoconf changes
    in 1.17
  * Fix memory leak caused by latcp -d & llogin -d
    (thanks to Sergei Gorbatov)

 -- Patrick Caulfield <patrick@debian.org>  Sat, 20 Dec 2003 15:16:21 +0000

latd (1.18.1-1) unstable; urgency=low
  
  * include <cassert>
    Closes: #195153
  
 -- Patrick Caulfield <patrick@debian.org>  Tue, 10 Jun 2003 08:21:04 +0100
  
  
latd (1.18-1) unstable; urgency=low

  * Fix configure --enable-debug
  * Fix configure --sysconfdir
  * Don't send issue file if it exists but is empty.
  * Add support for reverse-LAT services. you can now use LATSYM
    to print to LAT printers on Linux (and probably many other things too!)
  * Make sure node names are truncated at 16 characters
  * Fix shell job control problems when connecting to some systems
  * Send remote credit a little earlier in an attempt to avoid those
    annoying pauses.

 -- Patrick Caulfield <patrick@debian.org>  Sun, 20 Apr 2003 10:59:36 +0100

latd (1.17-1) unstable; urgency=low

  * Add support for a MOPRC_INTERFACE env variable.
  * Fix bug in the lastest retransmit code that screwed up
    queued connections rather badly.
  * Don't show status messages to /dev/lat ports
  * moprc is now a C++ program that uses the LATinterfaces class.
  * llogin -p only locks devices if liblockdev is found
  * Porting work for *BSD and Darwin.
    HUGE thanks to Matthew Fredette of NetBSD for all the bpf work.
  * Use autoconf to configure and build. Again Matthew Fredette did
    most of the work for this, but I added the Linux bits.

 -- Patrick Caulfield <patrick@debian.org>  Sat, 15 Mar 2003 14:17:42 +0000

latd (1.16-1) unstable; urgency=low

  * Don't use an IP socket for finding interfaces. So now you
    can use LAT (& moprc) with a kernel that doesn't have IP.
  * Fix latcp man page (-J and -j were wrong way round)
  * llogin -L disables locking when using -p
  * latd now expires services if it doesn't receive HELLOs
  * Expand escape sequences in /etc/issue.net or /etc/issue.lat
  * Fix crash on queued connections referencing freed memory.
  * moprc now ignores duplicate messages it receives. This fixes
    odd behaviour with some Emulex targets
  * Put a timeout on CONNECT and COMMAND messages so we can resend
    them if we get no reply.
  * Check connection IDs more carefully.

 -- Patrick Caulfield <patrick@debian.org>  Fri, 10 Jan 2003 10:18:00 +0000

latd (1.15-1) unstable; urgency=low

  * More DS90L+ fixes (keepalive message format)
  * Fix iostreams so they produce the correct output in gcc 3.0 & 2.95.
    Now I know why people really hate iostreams.
  * Use getloadavg() rather than /proc to get load average.
  * Close all FDs before forking server processes.
  * Always send an ACK for a packet with data in it.
  * llogin uses lock files for device connections

 -- Patrick Caulfield <patrick@debian.org>  Wed, 14 Aug 2002 08:56:28 +0100

latd (1.14-1) unstable; urgency=low

  * gcc-3.0 compilation fixes in the new bits
  * Rewritten ethernet flow control
  * Increase moprc timeout a little.
  * Don't try to process zero-length packets
  * Include lat.html documentation
  * Tested on DECserver 700
  * Send "no more slots on circuit" message when closing a connection for
    that reason. Fixes reconnection on DECserver 90L+

 -- Patrick Caulfield <patrick@debian.org>  Wed, 19 Mar 2002 19:23:34 +0000

latd (1.13-1) unstable; urgency=low

  * Fail attempts to create /dev/lat ports twice
  * Delete /dev/lat ports when latcp -D -p is run
    (thanks to Denis Komissarov) for those two.
  * Use local name in ENQ message for DS90L servers instead of the
    stupid one I left in there after testing.
  * Get rid of spurious "Queued" status messages and put the
    service name in there.
  * Fix multiple queued connections to the same server that I broke in 1.11
  * Don't make queued connection queries interfere with existing services table
  * Restrict data slots to 250 bytes so as not to break DECserver 200s
  * Made the keepalive timer less susceptible to drift on busy systems.

 -- Patrick Caulfield <patrick@debian.org>  Sat, 16 Feb 2002 16:25:52 +0000

latd (1.12-1) unstable; urgency=low

  * llogin -r is an alias for llogin -R (easier to type!)
  * New moprc program for remote administration of terminal servers
  * llogin can now connect to passworded services using llogin -w
  * Split out Linux-specific code into its own class
  * Primitive, but functional support for DS90L terminal servers

 -- Patrick Caulfield <patrick@debian.org>  Mon, 11 Feb 2002 17:02:13 +0000

latd (1.11-1) unstable; urgency=low

  * Added -l switch to llogin to replace LF with VT
  * Document -d -v switch to llogin
  * Renamed PortSession to QueuedSession so it's less confusing
  * /dev/lat ports connect using LocalPort and localportSession so they
    can share connections.
  * Fixed spurious newlines generated by llogin -p

 -- Patrick Caulfield <patrick@debian.org>  Wed, 26 Sep 2001 14:37:43 +0100

latd (1.10-1) unstable; urgency=low

  * Can now handle multiple reverse-LAT connections via the same connection
    (llogin only)
  * Can specify a command to run (and user to run it under) for a named service.

 -- Patrick Caulfield <patrick@debian.org>  Thu, 16 Aug 2001 11:54:28 +0100

latd (1.03-1) unstable; urgency=low

  * Use std:: namespace so it compiles with GCC 3.0
  * Don't use makedepend for dependancy management.
  * Don't depend on libstdc++2.10-dev.
    Closes: bug#104954
  * Fix includes in server.cc that depend for GLIBC version

 -- Patrick Caulfield <patrick@debian.org>  Sun, 15 Jul 2001 19:44:36 +0100

latd (1.02-1) unstable; urgency=low

  * Fixed bug where you *had* to specify a node name in reverse connections
  * New llogin program
  * This file is now a Debian changelog
  * Fix keepalives when connected to Tru64
  * Tidied MAC address internals
  * In fact, quite a lot of internal tidying and bug-fixing.
  * Move sockets into /var/run as per FHS
  * Fixed EOF trapping on local ports
  * Fixed latcp -d display of local ports (node & service were swapped)
  * Changed example latd.conf to show we can connect to services without
    specifying a node name now
  * Closes: bug#85288

 -- Patrick Caulfield <patrick@debian.org>  Sat,  3 Mar 2001 13:29:08 +0000

latd (1.01-1) unstable; urgency=low

  * Listen on LAT multicast address so you don't need to put the interface(s)
    into "allmulti" mode, or have DECnet running
  * Deleting ports now works
    Thanks to Michael Hasselberg for those two patches
  * Can now use all (or any) ethernet adaptors in a system
  * Fix credit starvation on client sessions
  * Linux latd can talk to another Linux latd now (though not to itself)
  * latd now tidies /dev/lat directory at startup and shutdown
  * New -8 flag for ports to make then 8-bit clean

 -- Patrick Caulfield <patrick@tykepenguin.com>  Sat,  16 Dec 2000 15:13:09 +0000

latd (1.00-1) unstable; urgency=low

  * Support BREAK character
  * Added support for a group (gid) called "lat". If you have one of these
    in /etc/groups then users with that group can connect to reverse-LAT
    ports with no other privileges
  * Added startup script
  * Remove "LAT started", "LAT stopped" messages from latcp as they interfere
    with the startup script and it's "not the Unix way"
  * Added RPM build target
  * Added DEB build target
  * Forced all node names & service names to be uppercase in latcp
  * Split -DOLDSTUFF into two bits: -DUSE_OPENPTY and -DSETLOGIN_HOST. The
    second option doesn't work on SuSE 6.4, but does on Debian 2.2 and RedHat
    6.2, the first should be fine on anything later than RedHat 5.2 (libc 2.0
    I think that means)

 -- Patrick Caulfield <patrick@tykepenguin.com>  Sat,  17 Sep 2000 15:13:09 +0000

